package models;


public class PowerUps {
	
	private int		min_range;
	private int 	max_range;
	private int		num;
	private int 	price_half = 1;
	private int		price_cut = 3;
	
		
	/**@return value of price_cut*/
	public int getPriceCut(){
		return this.price_cut;
	}
	
	/**@return value of price_half*/
	public int getPriceHalf(){
		return this.price_half;
	}
	
	/**@return int min range*/
	public int getMin(){
		return this.min_range;
	}
	
	/**@return int max range*/
	public int getMax(){
		return this.max_range;
	}
	
	/**
	 * @param int min range
	 * @param int max range
	 * Constructor for the Power Up class*/
	public PowerUps(int min, int max){
		this.min_range = min;
		this.max_range = max;
	}
	
	/**
	 * @param integer number*/
	public void setNumber(int num){
		this.num = num;
	}
	
	/**
	 * @param int max range
	 * @param int min range
	 * @param int number */
	public void setRange(int max, int min) {
		this.max_range = max;
		this.min_range = min;
	}
	
	/**
	 * split the range into two half */
	public void half_range(){
		
		if (this.num > this.max_range/2 ){
			this.min_range = this.max_range/2;
		}
		else {
			this.max_range = this.max_range/2;
		}
	}
	
	/*
	 * set the range into +- 2 over the guessed number*/
	public void cut_range(){
		
		int top = this.max_range - this.num;
		int bottom = this.num - this.min_range;
		if(top == 0){
			this.min_range = this.max_range - 4;
		}
		if(top == 1){
			this.min_range = this.max_range - 3;
		}
		if(bottom == 0 ){
			this.max_range = this.num + 4;
		}
		if(bottom == 1){
			this.max_range = this.num + 3;
		}
		else{
			if(this.num +2 < this.max_range) { 
				this.max_range = this.num + 2;
			}
			if( this.num -2 > this.min_range ) {
				this.min_range = this.num - 2;
			}
		} 
		
	}
	
	
}//end of powerUps class
