// @SOURCE:C:/Users/pedros/Documents/API_DEV/mobile_api_examples/PlayFrameworkExample/HabboGuess/conf/routes
// @HASH:61a1e09238ba334f6bb7674dc8fa74e1b03136e6
// @DATE:Fri Sep 07 12:56:26 EEST 2012

import play.core._
import play.core.Router._
import play.core.j._

import play.api.mvc._
import play.libs.F

import Router.queryString

object Routes extends Router.Routes {


// @LINE:6
val controllers_Application_index0 = Route("GET", PathPattern(List(StaticPart("/"))))
                    

// @LINE:9
val controllers_Assets_at1 = Route("GET", PathPattern(List(StaticPart("/assets/"),DynamicPart("file", """.+"""))))
                    

// @LINE:11
val controllers_Application_quit2 = Route("GET", PathPattern(List(StaticPart("/quit"))))
                    

// @LINE:12
val controllers_Application_game3 = Route("GET", PathPattern(List(StaticPart("/play/"),DynamicPart("accessToken", """[^/]+"""))))
                    

// @LINE:13
val controllers_Application_endGame4 = Route("GET", PathPattern(List(StaticPart("/results"))))
                    

// @LINE:14
val controllers_Application_halfRange5 = Route("GET", PathPattern(List(StaticPart("/usedHalf/"))))
                    

// @LINE:15
val controllers_Application_cutRange6 = Route("GET", PathPattern(List(StaticPart("/usedCut/"))))
                    

// @LINE:17
val controllers_Application_input7 = Route("POST", PathPattern(List(StaticPart("/guess/"))))
                    

// @LINE:18
val controllers_Application_buy_halfRange8 = Route("POST", PathPattern(List(StaticPart("/buyHalf/"))))
                    

// @LINE:19
val controllers_Application_buy_cutRange9 = Route("POST", PathPattern(List(StaticPart("/buyCut/"))))
                    

// @LINE:22
val controllers_Application_admin10 = Route("GET", PathPattern(List(StaticPart("/admin"))))
                    
def documentation = List(("""GET""","""/""","""controllers.Application.index()"""),("""GET""","""/assets/$file<.+>""","""controllers.Assets.at(path:String = "/public", file:String)"""),("""GET""","""/quit""","""controllers.Application.quit()"""),("""GET""","""/play/$accessToken<[^/]+>""","""controllers.Application.game(accessToken:String)"""),("""GET""","""/results""","""controllers.Application.endGame()"""),("""GET""","""/usedHalf/""","""controllers.Application.halfRange()"""),("""GET""","""/usedCut/""","""controllers.Application.cutRange()"""),("""POST""","""/guess/""","""controllers.Application.input()"""),("""POST""","""/buyHalf/""","""controllers.Application.buy_halfRange()"""),("""POST""","""/buyCut/""","""controllers.Application.buy_cutRange()"""),("""GET""","""/admin""","""controllers.Application.admin()"""))
             
    
def routes:PartialFunction[RequestHeader,Handler] = {        

// @LINE:6
case controllers_Application_index0(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.index(), HandlerDef(this, "controllers.Application", "index", Nil))
   }
}
                    

// @LINE:9
case controllers_Assets_at1(params) => {
   call(Param[String]("path", Right("/public")), params.fromPath[String]("file", None)) { (path, file) =>
        invokeHandler(_root_.controllers.Assets.at(path, file), HandlerDef(this, "controllers.Assets", "at", Seq(classOf[String], classOf[String])))
   }
}
                    

// @LINE:11
case controllers_Application_quit2(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.quit(), HandlerDef(this, "controllers.Application", "quit", Nil))
   }
}
                    

// @LINE:12
case controllers_Application_game3(params) => {
   call(params.fromPath[String]("accessToken", None)) { (accessToken) =>
        invokeHandler(_root_.controllers.Application.game(accessToken), HandlerDef(this, "controllers.Application", "game", Seq(classOf[String])))
   }
}
                    

// @LINE:13
case controllers_Application_endGame4(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.endGame(), HandlerDef(this, "controllers.Application", "endGame", Nil))
   }
}
                    

// @LINE:14
case controllers_Application_halfRange5(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.halfRange(), HandlerDef(this, "controllers.Application", "halfRange", Nil))
   }
}
                    

// @LINE:15
case controllers_Application_cutRange6(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.cutRange(), HandlerDef(this, "controllers.Application", "cutRange", Nil))
   }
}
                    

// @LINE:17
case controllers_Application_input7(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.input(), HandlerDef(this, "controllers.Application", "input", Nil))
   }
}
                    

// @LINE:18
case controllers_Application_buy_halfRange8(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.buy_halfRange(), HandlerDef(this, "controllers.Application", "buy_halfRange", Nil))
   }
}
                    

// @LINE:19
case controllers_Application_buy_cutRange9(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.buy_cutRange(), HandlerDef(this, "controllers.Application", "buy_cutRange", Nil))
   }
}
                    

// @LINE:22
case controllers_Application_admin10(params) => {
   call { 
        invokeHandler(_root_.controllers.Application.admin(), HandlerDef(this, "controllers.Application", "admin", Nil))
   }
}
                    
}
    
}
                