// @SOURCE:C:/Users/pedros/Documents/API_DEV/mobile_api_examples/PlayFrameworkExample/HabboGuess/conf/routes
// @HASH:61a1e09238ba334f6bb7674dc8fa74e1b03136e6
// @DATE:Fri Sep 07 12:56:26 EEST 2012

import play.core._
import play.core.Router._
import play.core.j._

import play.api.mvc._
import play.libs.F

import Router.queryString


// @LINE:22
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:9
// @LINE:6
package controllers {

// @LINE:22
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:6
class ReverseApplication {
    


 
// @LINE:18
def buy_halfRange() = {
   Call("POST", "/buyHalf/")
}
                                                        
 
// @LINE:19
def buy_cutRange() = {
   Call("POST", "/buyCut/")
}
                                                        
 
// @LINE:22
def admin() = {
   Call("GET", "/admin")
}
                                                        
 
// @LINE:17
def input() = {
   Call("POST", "/guess/")
}
                                                        
 
// @LINE:12
def game(accessToken:String) = {
   Call("GET", "/play/" + implicitly[PathBindable[String]].unbind("accessToken", accessToken))
}
                                                        
 
// @LINE:6
def index() = {
   Call("GET", "/")
}
                                                        
 
// @LINE:14
def halfRange() = {
   Call("GET", "/usedHalf/")
}
                                                        
 
// @LINE:11
def quit() = {
   Call("GET", "/quit")
}
                                                        
 
// @LINE:13
def endGame() = {
   Call("GET", "/results")
}
                                                        
 
// @LINE:15
def cutRange() = {
   Call("GET", "/usedCut/")
}
                                                        

                      
    
}
                            

// @LINE:9
class ReverseAssets {
    


 
// @LINE:9
def at(file:String) = {
   Call("GET", "/assets/" + implicitly[PathBindable[String]].unbind("file", file))
}
                                                        

                      
    
}
                            
}
                    


// @LINE:22
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:9
// @LINE:6
package controllers.javascript {

// @LINE:22
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:6
class ReverseApplication {
    


 
// @LINE:18
def buy_halfRange = JavascriptReverseRoute(
   "controllers.Application.buy_halfRange",
   """
      function() {
      return _wA({method:"POST", url:"/buyHalf/"})
      }
   """
)
                                                        
 
// @LINE:19
def buy_cutRange = JavascriptReverseRoute(
   "controllers.Application.buy_cutRange",
   """
      function() {
      return _wA({method:"POST", url:"/buyCut/"})
      }
   """
)
                                                        
 
// @LINE:22
def admin = JavascriptReverseRoute(
   "controllers.Application.admin",
   """
      function() {
      return _wA({method:"GET", url:"/admin"})
      }
   """
)
                                                        
 
// @LINE:17
def input = JavascriptReverseRoute(
   "controllers.Application.input",
   """
      function() {
      return _wA({method:"POST", url:"/guess/"})
      }
   """
)
                                                        
 
// @LINE:12
def game = JavascriptReverseRoute(
   "controllers.Application.game",
   """
      function(accessToken) {
      return _wA({method:"GET", url:"/play/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("accessToken", accessToken)})
      }
   """
)
                                                        
 
// @LINE:6
def index = JavascriptReverseRoute(
   "controllers.Application.index",
   """
      function() {
      return _wA({method:"GET", url:"/"})
      }
   """
)
                                                        
 
// @LINE:14
def halfRange = JavascriptReverseRoute(
   "controllers.Application.halfRange",
   """
      function() {
      return _wA({method:"GET", url:"/usedHalf/"})
      }
   """
)
                                                        
 
// @LINE:11
def quit = JavascriptReverseRoute(
   "controllers.Application.quit",
   """
      function() {
      return _wA({method:"GET", url:"/quit"})
      }
   """
)
                                                        
 
// @LINE:13
def endGame = JavascriptReverseRoute(
   "controllers.Application.endGame",
   """
      function() {
      return _wA({method:"GET", url:"/results"})
      }
   """
)
                                                        
 
// @LINE:15
def cutRange = JavascriptReverseRoute(
   "controllers.Application.cutRange",
   """
      function() {
      return _wA({method:"GET", url:"/usedCut/"})
      }
   """
)
                                                        

                      
    
}
                            

// @LINE:9
class ReverseAssets {
    


 
// @LINE:9
def at = JavascriptReverseRoute(
   "controllers.Assets.at",
   """
      function(file) {
      return _wA({method:"GET", url:"/assets/" + (""" + implicitly[PathBindable[String]].javascriptUnbind + """)("file", file)})
      }
   """
)
                                                        

                      
    
}
                            
}
                    


// @LINE:22
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:9
// @LINE:6
package controllers.ref {

// @LINE:22
// @LINE:19
// @LINE:18
// @LINE:17
// @LINE:15
// @LINE:14
// @LINE:13
// @LINE:12
// @LINE:11
// @LINE:6
class ReverseApplication {
    


 
// @LINE:18
def buy_halfRange() = new play.api.mvc.HandlerRef(
   controllers.Application.buy_halfRange(), HandlerDef(this, "controllers.Application", "buy_halfRange", Seq())
)
                              
 
// @LINE:19
def buy_cutRange() = new play.api.mvc.HandlerRef(
   controllers.Application.buy_cutRange(), HandlerDef(this, "controllers.Application", "buy_cutRange", Seq())
)
                              
 
// @LINE:22
def admin() = new play.api.mvc.HandlerRef(
   controllers.Application.admin(), HandlerDef(this, "controllers.Application", "admin", Seq())
)
                              
 
// @LINE:17
def input() = new play.api.mvc.HandlerRef(
   controllers.Application.input(), HandlerDef(this, "controllers.Application", "input", Seq())
)
                              
 
// @LINE:12
def game(accessToken:String) = new play.api.mvc.HandlerRef(
   controllers.Application.game(accessToken), HandlerDef(this, "controllers.Application", "game", Seq(classOf[String]))
)
                              
 
// @LINE:6
def index() = new play.api.mvc.HandlerRef(
   controllers.Application.index(), HandlerDef(this, "controllers.Application", "index", Seq())
)
                              
 
// @LINE:14
def halfRange() = new play.api.mvc.HandlerRef(
   controllers.Application.halfRange(), HandlerDef(this, "controllers.Application", "halfRange", Seq())
)
                              
 
// @LINE:11
def quit() = new play.api.mvc.HandlerRef(
   controllers.Application.quit(), HandlerDef(this, "controllers.Application", "quit", Seq())
)
                              
 
// @LINE:13
def endGame() = new play.api.mvc.HandlerRef(
   controllers.Application.endGame(), HandlerDef(this, "controllers.Application", "endGame", Seq())
)
                              
 
// @LINE:15
def cutRange() = new play.api.mvc.HandlerRef(
   controllers.Application.cutRange(), HandlerDef(this, "controllers.Application", "cutRange", Seq())
)
                              

                      
    
}
                            

// @LINE:9
class ReverseAssets {
    


 
// @LINE:9
def at(path:String, file:String) = new play.api.mvc.HandlerRef(
   controllers.Assets.at(path, file), HandlerDef(this, "controllers.Assets", "at", Seq(classOf[String], classOf[String]))
)
                              

                      
    
}
                            
}
                    
                